## org.metaabm.act
Interface ASink

All Superinterfaces:
  AAct, org.eclipse.emf.ecore.EObject, IAct, IID, IValue, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AEvaluate, AOrdering, AQuery, ATest

All Known Implementing Classes:
  AEvaluateImpl, AQueryImpl, ASinkImpl

    public interface ASink

extends AAct, IValue

A representation of the model object ' ASink'.

Author:
  Miles Parker

  The following features are supported:

  - `Inputs`
  - `Function`
See Also:
  `MetaABMActPackage.getASink()`

Method Summary
`boolean` `accepts(IValue value, int place)`
`FFunction` `getFunction()` Returns the value of the 'Function' reference.
`org.eclipse.emf.common.util.EList<AInput>` `getInputs()` Returns the value of the 'Inputs' containment reference list.
`boolean` `isMultiValue()`
`void` `setFunction(FFunction value)` Sets the value of the '`Function`' reference.

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.IValue
`getAccessors, getAvailableTypes, references`

Method Detail

### getInputs

    org.eclipse.emf.common.util.EList<AInput> getInputs()

  Returns the value of the 'Inputs' containment reference list. The list contents are of type `AInput`. It is bidirectional and its opposite is '`Sink`'.

  If the meaning of the 'Inputs' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Inputs' containment reference list.
  See Also:
    `MetaABMActPackage.getASink_Inputs()`, `AInput.getSink()`

### getFunction

    FFunction getFunction()

  Returns the value of the 'Function' reference.

  If the meaning of the 'Function' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Function' reference.
  See Also:
    `setFunction(FFunction)`, `MetaABMActPackage.getASink_Function()`

### setFunction

    void setFunction(FFunction value)

  Sets the value of the '`Function`' reference.

  Parameters:
    `value` - the new value of the 'Function' reference.
  See Also:
    `getFunction()`

### accepts

    boolean accepts(IValue value,
                    int place)

### isMultiValue

    boolean isMultiValue()